#!/usr/bin/env sh
set -euo pipefail

echo "-----------------------"
echo "DarkflameServer  Docker"
echo "written by Aaron Riedel"
echo "-----------------------"
echo ""
echo "create sharedconfig.ini"
# make sharedconfig.ini
echo "mysql_host=$MYSQL_HOST" > /app/sharedconfig.ini
echo "mysql_database=$MYSQL_DATABASE" >> /app/sharedconfig.ini
echo "mysql_username=$MYSQL_USERNAME" >> /app/sharedconfig.ini
echo "mysql_password=$MYSQL_PASSWORD" >> /app/sharedconfig.ini
echo "log_to_console=1" >> /app/sharedconfig.ini
echo "log_debug_statements=0" >> /app/sharedconfig.ini
echo "external_ip=localhost" >> /app/sharedconfig.ini
echo "dont_generate_dcf=0" >> /app/sharedconfig.ini
echo "max_clients=$MAX_CLIENTS" >> /app/sharedconfig.ini
echo "dump_folder=/dev/null" >> /app/sharedconfig.ini
echo "client_location=" >> /app/sharedconfig.ini
echo "maximum_outgoing_bandwidth=80000" >> /app/sharedconfig.ini
echo "maximum_mtu_size=1228" >> /app/sharedconfig.ini
echo "client_net_version=$CLIENT_VERSION" >> /app/sharedconfig.ini
echo "default_team_loot=$TEAM_LOOT" >> /app/sharedconfig.ini

echo "set folder for shared libaries"
export LD_LIBRARY_PATH=/app
echo "start Server"
/app/MasterServer
tail -f /dev/null